Bug 178258 - annoying "File descriptor left open" messages while snapshoting
annoying "File descriptor left open" messages while snapshoting
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
Depends On:
  Show dependency treegraph
Reported: 2006-01-18 16:44 EST by Corey Marthaler
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-08 11:49:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-01-18 16:44:18 EST
Description of problem:
I saw some closed bugs similar to this (having the same messages) for mkinitrd
and init, but I only needed to attempt snapshot creations inorder to see the
messages this time.

[root@link-08 bin]# lvcreate -s /dev/snapper/origin  -L 50M
File descriptor 3 left open
File descriptor 4 left open
  Rounding up size to full physical extent 52.00 MB
  Logical volume "lvol2" created

Version-Release number of selected component (if applicable):
[root@link-08 bin]# rpm -q lvm2
[root@link-08 bin]# rpm -q lvm2-cluster

How reproducible:
Comment 1 Alasdair Kergon 2006-01-19 12:59:23 EST
Run 'lsof' against your shell process and see where those file descriptors 3 and
4 are pointing.
Comment 2 Corey Marthaler 2006-03-08 11:53:36 EST
This was a legitimate bug. If it is just going to be closed since I haven't been
able to reproduce it, close it WORKSFORME, not NOTABUG.
Comment 3 Alasdair Kergon 2006-03-08 12:08:01 EST
It's not a bug in lvm2 - the problem lies elsewhere.  The warning message tells
you that something else run by a previous process forgot to close some file
desciptors and they got inherited by lvm2.  For WORKSFORME you'd need to track
down what didn't close its file descriptors and change the component to that
from lvm2.

Note You need to log in before you can comment on or make changes to this bug.